Subject: Re: [Sigtran] M3UA ASP mode vs IPSP mode

From: sms2000 <[email-masked]>
Date: Fri, 28 Mar 2008 06:07:35 -0700 (PDT)

Hi David, 

Thanks for the detailed explaination. Maybe this ambiguity can be clarified
with future releases of RFC4666. 

I will take your advice and consider SSNM messages as only needed if a SG is
used. 

Regards, 

Graham. 

David Laight-3 wrote:
> 
>> Hi there, 
>> 
>> When not using a signalling gateway, IPSP mode, do I still 
>> need to worry
>> about SSNM messages e.g. 
>>  1        Destination Unavailable (DUNA)
>>  2        Destination Available (DAVA)
> 
> My interpretation of the RFC is that these messages are only sent
> by an SGP, so will not appear on an IPSP connection.
> This also implies that it is inappropriate to send a DAUD on an
> IPSP connection.
> Since M3UA is carrying the MTP3 service interface, and DUNA/DAVA
> carry the MTP pause/resume events there is also no where for
> event to originate from.
> (This is all similar to the fact that they cannot originate from
> an ASP.)
> 
>> Are such messages only raised if the DPC goes out of service
> 
> In IPSP mode the existance of the SCTP connection (and the
> non-rejection of the ASP messages) is enough to indicate that
> the users are in service.
> 
> OTOH I'm not at all clear about the implications of the last
> paragraph of section 4.6 (MTP3 restart).
> The MTP3 restart section itself doesn't seem to allow for
> 'white book' restart - where, in order to avoid large amounts
> of network traffic, destinations are assumed to be accessible
> at restart.
> 
>> I have seen such messages in ASP mode directly following 
>> SSP/SSA messages. 
> 
> Even in AS-SG mode the SG shouldn't really be sending DAVA/DUNA
> except when the MTP3 state changes - except in response to a DAUD
> or a message being sent to an inaccessible destination.
> 
> 	David
> 
> Registered Address Lakeside, Bramley Road, Mount Farm, Milton Keynes, MK1
> 1PT, UK
> Registration No: 1397386 (Wales)  
> P Please consider the environment and don't print this e-mail unless you
> really need to
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran
> 
> 

-- 
View this message in context: http://www.nabble.com/M3UA-ASP-mode-vs-IPSP-mode-tp16128846p16349660.html
Sent from the IETF - Sigtran mailing list archive at Nabble.com.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sigtran